import{s as st,o as mt,n as lt}from"../chunks/scheduler.6062bdaf.js";import{S as gt,i as ut,g as m,s as a,r as u,A as ft,h as l,f as i,c as r,j as M,u as f,x as tt,k as V,y as Y,a as n,v as d,d as p,t as c,w as $}from"../chunks/index.4bca734e.js";import{T as dt}from"../chunks/Tip.b9ac1f03.js";import{D as q}from"../chunks/Docstring.ed07512f.js";import{H as Z}from"../chunks/Heading.723dceba.js";function pt(A){let o,h=`While it is possible to create <code>NormalizedConfig</code> subclasses for common use-cases, it is also possible to overwrite
the <code>original attribute name -&gt; normalized attribute name</code> mapping directly using the
<code>with_args()</code> class method.`;return{c(){o=m("p"),o.innerHTML=h},l(s){o=l(s,"P",{"data-svelte-h":!0}),tt(o)!=="svelte-2ray9l"&&(o.innerHTML=h)},m(s,k){n(s,o,k)},p:lt,d(s){s&&i(o)}}}function ct(A){let o,h,s,k,v,F,_,et=`Model configuration classes in 🤗 Transformers are not standardized. Although Transformers implements an <code>attribute_map</code> attribute that mitigates the issue to some extent, it does not make it easy to reason on common configuration attributes in the code.
<a href="/docs/optimum/v1.16.2/en/utils/normalized_config#optimum.utils.NormalizedConfig">NormalizedConfig</a> classes try to fix that by allowing access to the configuration
attribute they wrap in a standardized way.`,I,w,B,b,j,g,z,X,S,it="Handles the normalization of <code>PretrainedConfig</code> attribute names, allowing to access attributes in a general way.",R,y,W,C,x,G,T,N,J,P,D,K,L,E,O,U,Q;return v=new Z({props:{title:"Normalized Configurations",local:"normalized-configurations",headingTag:"h1"}}),w=new Z({props:{title:"Base class",local:"optimum.utils.NormalizedConfig",headingTag:"h2"}}),b=new dt({props:{$$slots:{default:[pt]},$$scope:{ctx:A}}}),z=new q({props:{name:"class optimum.utils.NormalizedConfig",anchor:"optimum.utils.NormalizedConfig",parameters:[{name:"config",val:": typing.Union[transformers.configuration_utils.PretrainedConfig, typing.Dict]"},{name:"allow_new",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.utils.NormalizedConfig.config",description:`<strong>config</strong> (<code>PretrainedConfig</code>) &#x2014;
The config to normalize.`,name:"config"}],source:"https://github.com/huggingface/optimum/blob/v1.16.2/optimum/utils/normalized_config.py#L23"}}),y=new Z({props:{title:"Existing normalized configurations",local:"optimum.utils.NormalizedTextConfig",headingTag:"h2"}}),x=new q({props:{name:"class optimum.utils.NormalizedTextConfig",anchor:"optimum.utils.NormalizedTextConfig",parameters:[{name:"config",val:": typing.Union[transformers.configuration_utils.PretrainedConfig, typing.Dict]"},{name:"allow_new",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.16.2/optimum/utils/normalized_config.py#L80"}}),N=new q({props:{name:"class optimum.utils.NormalizedSeq2SeqConfig",anchor:"optimum.utils.NormalizedSeq2SeqConfig",parameters:[{name:"config",val:": typing.Union[transformers.configuration_utils.PretrainedConfig, typing.Dict]"},{name:"allow_new",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.16.2/optimum/utils/normalized_config.py#L92"}}),D=new q({props:{name:"class optimum.utils.NormalizedVisionConfig",anchor:"optimum.utils.NormalizedVisionConfig",parameters:[{name:"config",val:": typing.Union[transformers.configuration_utils.PretrainedConfig, typing.Dict]"},{name:"allow_new",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.16.2/optimum/utils/normalized_config.py#L99"}}),E=new q({props:{name:"class optimum.utils.NormalizedTextAndVisionConfig",anchor:"optimum.utils.NormalizedTextAndVisionConfig",parameters:[{name:"config",val:": typing.Union[transformers.configuration_utils.PretrainedConfig, typing.Dict]"},{name:"allow_new",val:": bool = False"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.16.2/optimum/utils/normalized_config.py#L105"}}),{c(){o=m("meta"),h=a(),s=m("p"),k=a(),u(v.$$.fragment),F=a(),_=m("p"),_.innerHTML=et,I=a(),u(w.$$.fragment),B=a(),u(b.$$.fragment),j=a(),g=m("div"),u(z.$$.fragment),X=a(),S=m("p"),S.innerHTML=it,R=a(),u(y.$$.fragment),W=a(),C=m("div"),u(x.$$.fragment),G=a(),T=m("div"),u(N.$$.fragment),J=a(),P=m("div"),u(D.$$.fragment),K=a(),L=m("div"),u(E.$$.fragment),O=a(),U=m("p"),this.h()},l(t){const e=ft("svelte-u9bgzb",document.head);o=l(e,"META",{name:!0,content:!0}),e.forEach(i),h=r(t),s=l(t,"P",{}),M(s).forEach(i),k=r(t),f(v.$$.fragment,t),F=r(t),_=l(t,"P",{"data-svelte-h":!0}),tt(_)!=="svelte-1hirya0"&&(_.innerHTML=et),I=r(t),f(w.$$.fragment,t),B=r(t),f(b.$$.fragment,t),j=r(t),g=l(t,"DIV",{class:!0});var H=M(g);f(z.$$.fragment,H),X=r(H),S=l(H,"P",{"data-svelte-h":!0}),tt(S)!=="svelte-1umzwcn"&&(S.innerHTML=it),H.forEach(i),R=r(t),f(y.$$.fragment,t),W=r(t),C=l(t,"DIV",{class:!0});var nt=M(C);f(x.$$.fragment,nt),nt.forEach(i),G=r(t),T=l(t,"DIV",{class:!0});var ot=M(T);f(N.$$.fragment,ot),ot.forEach(i),J=r(t),P=l(t,"DIV",{class:!0});var at=M(P);f(D.$$.fragment,at),at.forEach(i),K=r(t),L=l(t,"DIV",{class:!0});var rt=M(L);f(E.$$.fragment,rt),rt.forEach(i),O=r(t),U=l(t,"P",{}),M(U).forEach(i),this.h()},h(){V(o,"name","hf:doc:metadata"),V(o,"content",$t),V(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),V(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,e){Y(document.head,o),n(t,h,e),n(t,s,e),n(t,k,e),d(v,t,e),n(t,F,e),n(t,_,e),n(t,I,e),d(w,t,e),n(t,B,e),d(b,t,e),n(t,j,e),n(t,g,e),d(z,g,null),Y(g,X),Y(g,S),n(t,R,e),d(y,t,e),n(t,W,e),n(t,C,e),d(x,C,null),n(t,G,e),n(t,T,e),d(N,T,null),n(t,J,e),n(t,P,e),d(D,P,null),n(t,K,e),n(t,L,e),d(E,L,null),n(t,O,e),n(t,U,e),Q=!0},p(t,[e]){const H={};e&2&&(H.$$scope={dirty:e,ctx:t}),b.$set(H)},i(t){Q||(p(v.$$.fragment,t),p(w.$$.fragment,t),p(b.$$.fragment,t),p(z.$$.fragment,t),p(y.$$.fragment,t),p(x.$$.fragment,t),p(N.$$.fragment,t),p(D.$$.fragment,t),p(E.$$.fragment,t),Q=!0)},o(t){c(v.$$.fragment,t),c(w.$$.fragment,t),c(b.$$.fragment,t),c(z.$$.fragment,t),c(y.$$.fragment,t),c(x.$$.fragment,t),c(N.$$.fragment,t),c(D.$$.fragment,t),c(E.$$.fragment,t),Q=!1},d(t){t&&(i(h),i(s),i(k),i(F),i(_),i(I),i(B),i(j),i(g),i(R),i(W),i(C),i(G),i(T),i(J),i(P),i(K),i(L),i(O),i(U)),i(o),$(v,t),$(w,t),$(b,t),$(z),$(y,t),$(x),$(N),$(D),$(E)}}}const $t='{"title":"Normalized Configurations","local":"normalized-configurations","sections":[{"title":"Base class","local":"optimum.utils.NormalizedConfig","sections":[],"depth":2},{"title":"Existing normalized configurations","local":"optimum.utils.NormalizedTextConfig","sections":[],"depth":2}],"depth":1}';function bt(A){return mt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class yt extends gt{constructor(o){super(),ut(this,o,bt,ct,st,{})}}export{yt as component};
